Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape

Name

### width

Examples

    // The file "bot.svg" must be in the data folder
    // of the current sketch to load successfully
    PShape s;
    s = loadShape("bot.svg");
    smooth();
    shape(s);
    println(s.width);  // Prints 281.0, the width of the shape

Description | The width of the PShape document.

Syntax

    sh.width

Parameters

sh | PShape: any variable of type PShape

Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT